Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.phidgets.event
Class ServoPositionChangeEvent

    java.lang.Object
      com.phidgets.event.ServoPositionChangeEvent

    public class ServoPositionChangeEvent

extends java.lang.Object

This class represents the data for a ServoPositionChangeEvent.

Constructor Summary
`ServoPositionChangeEvent(Phidget source, int index, double value)` Class constructor.

Method Summary
`int` | `getIndex()` Returns the index of the servo motor.
`Phidget` | `getSource()` Returns the source Phidget of this event.
`double` | `getValue()` Returns the position of the servo motor.
`java.lang.String` | `toString()` Returns a string containing information about the event.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServoPositionChangeEvent

    public ServoPositionChangeEvent(Phidget source,
                                    int index,
                                    double value)

  Class constructor. This is called internally by the phidget library when creating this event.

  Parameters:
    `source` - the Phidget object from which this event originated

Method Detail

### getSource

    public Phidget getSource()

  Returns the source Phidget of this event. This is a reference to the Phidget object from which this event was called. This object can be cast into a specific type of Phidget object to call specific device calls on it.

  Returns:
    the event caller

### getIndex

    public int getIndex()

  Returns the index of the servo motor.

  Returns:
    index of the servo

### getValue

    public double getValue()

  Returns the position of the servo motor. This is esentially just the last position that the servo was set to, echoed back from the controller board.

  Returns:
    position of the servo

### toString

    public java.lang.String toString()

  Returns a string containing information about the event.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    an informative event string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD